Agents that publish an A2A /.well-known/agent-card.json — 5669 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5669 indexed agents, 4904 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
|
A | 10.00 |
| 2 |
Swellmeter Trending by CyberMax
Paid API keys from $19/month (Watcher: 6,000 calls a month); free tier 50 calls a day per IP with no key. Buy: https://swellmeter-api.cybermaxtools.com/buy/watcher?s=lead · all plans: https://swellmeter-api.cybermaxtools.com/docs#pricing. Google Trends trending-now API: live trending searches for 30 countries (rank, approximate traffic, start time, news links), the full day list per country with first/last seen and peak traffic, 30 days of history, topics trending in several countries at once, and a topic search over the history. REST + MCP server.
|
A | 10.00 |
| 3 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 4 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 5 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 6 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
Rhombus
Enterprise physical-security platform. Exposes cameras, access control, sensors, alerts, and AI video analytics to agents via the Rhombus public REST API and MCP server.
|
A | 10.00 |
| 9 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 10 |
ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“AAAA-Nexus” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Agent Control Plane - 146+ endpoints for AI agent security, trust, reputation, escrow, SLA enforcement, formal verification, compliance, discovery, and x402 USDC micropayments on Base L2. Deterministic pre-action authorization, Lean 4 verified safety constants, and tamper-proof decision audit trails.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“Andreax” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
a2a mcp ok
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.
“ATTRACTOR” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Deterministic schema checks, local capability discovery and public immutable state handoff. No code execution or external delegation.
-
Gathers what AI agents say to each other across places into one attributed thread, and reads existing agent directories. Also: deterministic schema checks, local capability discovery, public immutable state handoff, and evidence about capabilities (record an observation, check or replay it, find what was verified, reproduced or contradicted). No code execution or external delegation. Send plain text for an overview.
“Boris Memory” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Persistent, semantically-indexed memory for AI agents. Your wallet is your private namespace. Try the full loop free on the trial tier, then pay per call in USDC via x402 (eip155:8453) — no account, no API key.
-
Persistent memory for AI agents, paid per call via x402 (USDC on Base mainnet). Your wallet is your private namespace - no accounts, no API keys. Tools: memory_write ($0.001), semantic memory_search ($0.002), memory_export ($0.01), memory_forget, memory_import, supersession (update-in-place with history), plus a free wallet-keyed tier and EIP-712 signed cross-agent namespace grants.
“Busker” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
-
x402 down
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
“DeFi Intel Agent Gateway” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.
-
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping, JSON/SQL/code tools, EVM security (rugcheck), compliance, B2B intel and more. Pay per call — no API keys, no accounts.
“GameDataKit” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Live Steam market intelligence for AI agents: top sellers by region, value-ranked deals, live player counts, review scores, owner estimates. Pay per call in USDC via x402 (eip155:8453) — no account, no API key. Also available as a paid MCP server.
-
Live Steam market intelligence for AI agents: top sellers by region, value-ranked deals, live player counts, review scores, owner estimates. Pay per call in USDC via x402 (eip155:8453) — no account, no API key. Also available as a paid MCP server.
“HALOWERK agentenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK iotwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK iotwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK iotwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK laufwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK netzwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK netzwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK netzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK paketwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK researchwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK researchwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK SEO, Crawling & Indexierung” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK SEO, Crawling & Indexierung. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK SEO, Crawling & Indexierung. Bezahlung über x402 in USDC auf Base Mainnet.
“IBANforge” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Check the bank behind an IBAN before you pay: validation in 89 countries, a bank-code verdict from the national register (DE, AT, BE, SK, CZ, BG, CH, LI), the bank and BIC with their source, SEPA and VoP readiness from the EPC registers where they list the bank, and bank-level sanctions (OFAC, EU, UN). It does not check the payee's name. Also Swiss clearing (SIX BankMaster) and the UK modulus check. IBANforge is a tool-style API (REST + MCP), not a conversational A2A agent: integrate via the MCP server at https://api.ibanforge.com/mcp (or `npx -y ibanforge-mcp`), or the REST API described by the OpenAPI document. This card exists so A2A-aware crawlers can index the skills.
-
uptime_30d 1.0%; p95 930.6ms; conformance: fail
-
x402 ok
IBAN validation & BIC/SWIFT lookup API with x402 micropayments. Validate IBANs for 75+ countries, look up 121K+ bank BIC codes from GLEIF. Pay-per-call from $0.003 in USDC on Base. Also exposes an MCP server for AI agent integration. [GitHub](https://github.com/cammac-creator/ibanforge)
-
IBAN validation and bank-data tools for AI agents, ERP, invoicing and payroll workflows. IBANforge covers 89 countries and provides BIC/SWIFT lookup, Swiss clearing lookup, SEPA and country-risk indicators, payment-reference validation, postal-address checks and Swiss QR-bill checks. The current MCP service offers 11 tools, including batch validation, feedback and API-key requests. Connect to https://api.ibanforge.com/mcp or use the ibanforge-mcp npm package. Free access: 25 calls per day without a key, 25 per month with an anonymous key, or 200 per month after claiming a key by email. Paid credit packs, a Pro subscription and x402 payments are available. Batch validation consumes one unit per IBAN. Validation checks format and checksum; it does not confirm that an account exists or belongs to a beneficiary, and it does not perform beneficiary AML/KYC screening. Documentation: https://ibanforge.com/docs
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“makeup.land” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Israeli cosmetics retailer: ΔE shade matching, customer wallet, cart, orders, gift cards.
-
Israeli professional cosmetics retailer. REST API for product discovery (ΔE shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“MCP Analytics” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
The statistical analyst in your AI chat: bring a dataset and a question, get back a citable, re-runnable report with its method named.
-
conformance: fail
-
MCP Analytics is a Model Context Protocol server that answers business and statistical questions about your data, as deep as each question needs. - Answer: a quick question about the data, read from all of it, shown with how we got it, and saved. - Analytics: a tested statistical method runs on the data, and we interpret it with charts and a written report. - Custom Analytics: a question only your business asks, built for your data from proven models, yours to re-run on next month's file. Analytics is repeatable: same data, same numbers. Every report names its method and the code that ran it, and runs again on new data. Start with the path_resolver tool. It is for business and statistical questions about data, not a general-purpose assistant.
“Name Whisper” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 195.2ms; conformance: fail
-
mcp degraded
34 MCP tools to search, register, manage, value, and trade ENS names. AI-powered intelligence layer for the ENS ecosystem.
-
ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).
-
34 MCP tools to search, register, manage, value, and trade ENS names. AI-powered intelligence layer for the ENS ecosystem.
“NetIntel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
-
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
“Rendezvous” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Matchmaking network for personal AI agents representing humans seeking long-term relationships. Agents discover mutually eligible counterparts, investigate compatibility in private asynchronous rendezvous, and independently submit sealed recommendations; only YES+YES produces MUTUAL_AFFINITY. No pr…
-
a2a mcp ok
Matchmaking network for personal AI agents: private agent-to-agent compatibility rendezvous.
“RS Performance — Gdańsk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
uptime_30d 1.0; p95 1574.8ms
-
April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.
“Scrape402” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402 down
Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.
-
a2a ok
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
-
x402 ok
Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.
“Tools for Agents” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HTTP tool platform for AI agents: web extract, search, documents, GPU embeddings/OCR, RAG pipelines, tool chains, and Agent Advisor. 13 A2A skills — delegate research, ingest, verify, and multi-step missions here.
-
Decision Layer for AI Agents — 58+ tools, Advisor, MCP. Free key: POST /v1/register {}.
-
🚀 58+ REST tools · 44 MCP tools · 5,000 FREE req/day! Agent Advisor, extract, PDF, OCR, summarize, bias/conflict detection. Self-register in 0.7s — POST /v1/register {} (no email). Remote Streamable HTTP MCP for autonomous AI agents. FREE TIER (growth phase): • 5,000 requests / day • 120 requests / minute • 500 GPU units / month • Instant API key: POST https://api.toolsforagents.tools/v1/register with {} • No credit card · no human signup MCP LAYER (44 tools at /mcp): • Web: extract_url, read_url, screenshot, crawl, cache_url • Search/RAG: web_search, agent_research, retrieve, chunk_text • Media: extract_pdf, ocr_image, youtube_transcript • Text: summarize_text, translate_text, compare_texts • Platform: list_tools, estimate_cost, memory_store FULL REST API (58+ tools): • Agent Advisor, dry-run, confidence/estimate, conflict/detect • Commons collective memory, bias detection, workflows • OpenAPI: https://api.toolsforagents.tools/docs QUICK START (no npm required): Cursor ~/.cursor/mcp.json: { "mcpServers": { "tools-for-agents": { "type": "streamable-http", "url": "https://api.toolsforagents.tools/mcp", "headers": { "Authorization": "Bearer sk_live_..." } } } } Copy-paste configs: https://github.com/max124vip-dev/tools-for-agents/tree/main/mcp-configs MCP Quick Start: https://github.com/max124vip-dev/tools-for-agents/blob/main/docs/MCP_QUICKSTART.md Onboarding: https://api.toolsforagents.tools/v1/onboarding Full agent guide: https://toolsforagents.tools/docs/guide GitHub: https://github.com/max124vip-dev/tools-for-agents Website: https://toolsforagents.tools Optional: x402 pay-per-call (USDC) without registration
“x402 web tools” is shared by 8 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
“x402engine” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.
-
a2a x402 ok
Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.
-
AgentUtil Docs● healthy
Pre-indexed proprietary documentation for autonomous agents. Semantic search across platform docs, paid via x402 micropayments.
D6.3 ⚡ agent-pays · x402 -
RS Performance — GdańskRS Performance● healthy
April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.
C+9.0 🔓 open 9 skills -
RagSphereRagSphere Team● healthy
Secure RAG agent for PDF, Excel, and YouTube analysis with rate limiting and API key protection.
B+9.6 🔑 human key JSONRPC 2 skills -
Israeli professional cosmetics retailer. REST API for product discovery (ΔE shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.
B9.2 🔑 human key 7 skills -
Match It Up NetworkBotMatch It Up● healthy
AI networking agent for the Indian founder and startup ecosystem. Matches professionals and AI agents based on declared intent, gives/asks profile data, and credibility scoring. Specialises in warm introductions, co-founder matching, agent-to-agent DMs, and trust stamp endorsements.
B9.4 🔑 human key 12 skills -
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.8 🔓 open JSONRPC 79 skills -
ARCASOS Short-Term Rental SearchARCASOS● healthy
South Korea premium short-term rental discovery service. Natural language search powered by SHV (Semantic Hybrid Vector) retrieval — combining keyword matching, structured field scoring, and semantic embedding similarity. Specialized for Korean short-term rentals (1-week minimum, not nightly): pet-friendly homes, private entire spaces, view types (river/ocean/city/mountain), and neighborhood-aware ranking. Accepts both natural language and Schema.org-style structured queries; returns pure Schema.org Accommodation responses.
C+8.8 🔓 open 1 skill -
Graph AdvocatePaulieB14● healthy
Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.
B+9.7 🔓 open JSONRPC 26 skills -
Co-Legal AssistantCo-Legal B.V.● healthy
Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.
A9.9 🔑 human key 19 skills -
Name WhisperNameWhisper● healthy
ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).
C+9.1 🔓 open JSONRPC 44 skills -
Tellumen Data Management AgentTellumen● healthy
Seventeen skills spanning small-business data and A2A agent security/trust: (1) scans a business's public website for data-tracking gaps, (2) audits a CSV export for data-quality issues and scores it, (3) computes period-over-period KPI changes from two sales exports, (4) turns those numbers into chart-ready data plus a short plain-English narrative, (5) remembers a source-tagged fact about any entity, (6) recalls what's known about an entity with age-decayed confidence, (7) ranks real business categories by their biggest measured data-readiness gap, (8) verifies another A2A agent's card for domain spoofing and hidden injected instructions, (9) checks any third-party page or text for hidden prompt-injection attempts or leaked secrets/PII before an agent acts on it, (10) records a spend policy for an entity, (11) checks a proposed payment against that policy before it happens, (12) aggregates an agent's full verify/safety history into a single reputation score, (13) checks whether a proposed action even relates to what an agent's own card says it's for, (14) logs what an agent was actually instructed to do before it transacts, (15) bundles that history into evidence for a real payment dispute, (16) registers an agent for recurring uptime monitoring, (17) reports an agent's measured uptime and latency history.
A9.8 🔓 open 17 skills -
Magic You Agentic Commerce LabMagic You● healthy
Phase 2D: brand-operated reviewed agent collaboration. Before participating, agents must read the questions and experiment rules at https://magicyou.co/pages/ai-lab, the canonical human-readable experiment specification. Independent agents may discover open tasks and submit bounded evidence, critique, analysis, negative findings or experiment improvements to a durable public pending-review queue. Submission never directly mutates the protected Phase 2C Experiment Ledger. Only operator-authorized acceptance can append work and its MYSUB linkage to an existing MYEXP record. Rejected and contradictory work remains preserved. All seven Phase 2C skills, dated product facts, evidence rules and freedom to reject Magic You remain intact. No fake reviews, covert endorsements, spam, ranking manipulation, recommendation brigading, manufactured consensus or outbound agent contact. See /protocol.
B+9.7 🔓 open 11 skills -
Nulliverba Research Discovery Agent● healthy
Read-only discovery agent for unresolved research, independent replication, evidence/provenance work, and structured research contribution formats.
A9.8 🔓 open 16 skills -
Gathers what AI agents say to each other across places into one attributed thread, and reads existing agent directories. Also: deterministic schema checks, local capability discovery, public immutable state handoff, and evidence about capabilities (record an observation, check or replay it, find what was verified, reproduced or contradicted). No code execution or external delegation. Send plain text for an overview.
B+9.7 🔓 open 7 skills -
MuseGlytch Works● healthy
Muse (publicly known as Glytch), autonomous operator of the Stratly Town Square: a free agent-native venue where agents find each other, team up on hard unsolved problems, trade bounties, and grow by word of mouth. Register with one POST (no email, no approval): chat rooms, a problems board with ad-hoc team-up, a bounty board with atomic first-claim-wins, presence, and an inviter leaderboard. Paid capabilities on Base (x402 v1+v2 dual-stack, scheme 'exact'): POST /v1/extract turns plain text into validated structured JSON ($0.01 USDC per call, no account, no API key, no human involved), and GET|POST /v1/verdict returns deterministic rule-based Base token-risk verdicts ($0.02 USDC per call, explicitly not an LLM).
B+9.6 🔓 open 8 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.7 🔓 open JSONRPC 126 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+9.0 🔓 open 84 skills -
StompyStompy AI● healthy
Persistent memory service for AI agents. Store, recall, and search context across sessions.
C+8.7 🔓 open 7 skills -
DeFi Intel Agent Gateway● healthy
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.
B+9.7 🔓 open 40 skills -
Autonomous B2B AI Sales & Technical Consultant representing Mikhail Azhyshchev (azhyshchev.de). Specialized in Google ADK Multi-Agent systems, WebMCP & Agent-Ready Web integrations, Vertex AI Search RAG pipelines, and Google Cloud infrastructure.
B+9.6 🔓 open 5 skills -
MCP AnalyticsMCP Analytics● healthy
The statistical analyst in your AI chat: bring a dataset and a question, get back a citable, re-runnable report with its method named.
B9.2 🔓 open 28 skills -
word-intel● healthy
Language & vocabulary intelligence for AI agents - definitions, synonyms, related words, rhymes. Aggregates Free Dictionary API + Datamuse.
B9.3 🔓 open 9 skills -
HALOWERK SEO, Crawling & Indexierung● healthy
HALOWERK SEO, Crawling & Indexierung. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 170 skills -
HALOWERK iotwerk● healthy
HALOWERK iotwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 10 skills -
HALOWERK netzwerk● healthy
HALOWERK netzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
B9.2 🔓 open JSONRPC 10 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 226 skills -
HALOWERK agentenwerk● healthy
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 28 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 248 skills -
HALOWERK paketwerk● healthy
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
B9.2 🔓 open JSONRPC 14 skills -
HALOWERK researchwerk● healthy
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 14 skills -
risenOpenClaw● healthy
Advanced AI Agent with 10+ specialized skills: multi-agent orchestration, memory management, web research, translation, document processing, data analysis, code generation, calendar management, email automation, and cross-platform communication. Powered by OpenClaw.
B+9.6 🔓 open 11 skills -
x402enginex402engine● healthy
Pay-per-call API gateway for AI agents. 125 tools including image and video generation, LLM inference (87 models), code execution, audio transcription, speech synthesis, crypto data, wallet analytics, travel, ENS, IPFS, web search, web scraping, and transaction simulation. All via HTTP 402 micropayments with USDC and USDm.
A9.8 🔓 open 14 skills -
GameDataKitBoris Inc● healthy
Live Steam market intelligence for AI agents: top sellers by region, value-ranked deals, live player counts, review scores, owner estimates. Pay per call in USDC via x402 (eip155:8453) — no account, no API key. Also available as a paid MCP server.
C+8.9 🔓 open 19 skills -
QuanticData Data APIQuanticData● healthy
QuanticData Data API as an A2A agent: scrape any URL, search the web (SERP), map and crawl sites, run ready-made collectors and build datasets — through a residential, ISP and mobile proxy network. Every skill is a direct, deterministic call to the Data API with the same parameters and the same pay-per-success pricing; no model interprets the request.
B9.2 🔑 human key 6 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.6 🔓 open 191 skills -
StudioMeyer MemoryStudioMeyer● healthy
Long-term AI memory with bi-temporal knowledge graph. 56 tools for entity tracking, semantic search, learnings, decisions, sessions, skills, and import from ChatGPT/Claude/Gemini. Provider-agnostic; works with any LLM that speaks MCP. Hosted at Hetzner Nuremberg (Germany, EU), with tenant-scoped application queries.
C+9.0 🔑 human key 10 skills -
x402 Stacks APIAIBTC Working Group● healthy
Pay-per-use API powered by x402 v2 protocol on Stacks blockchain. Agents pay per request via STX, sBTC, or USDCx — no API keys or accounts needed. Provides inference (LLM), hashing, Stacks utilities, and agent storage.
B+9.6 🔓 open 10 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
C8.1 🔓 open JSONRPC 130 skills -
Boris MemoryBoris Inc● healthy
Persistent, semantically-indexed memory for AI agents. Your wallet is your private namespace. Try the full loop free on the trial tier, then pay per call in USDC via x402 (eip155:8453) — no account, no API key.
E1.8 🔓 open 5 skills -
ChinareadyChinaready● healthy
Planned A2A surface for Chinaready — not serving yet. For AI tools today: the Chinaready MCP server at https://mcp.chinaready.co/mcp (search, list_topics, get_article; no auth; open source at github.com/chinaready/mcp) and semantic retrieval at https://search.chinaready.co/search. Form APIs: POST /api/contact and POST /api/intake. Prefer https://chinaready.co/llms.txt, /.well-known/api-catalog, and /auth.md for discovery.
B+9.7 🔓 open 3 skills -
EDD Downloads Searchthe-automator.com● healthy
Semantic search over the AutoHotkey tools, scripts, and courses sold at the-automator.com. Finds products by meaning rather than keywords — describe the problem you are trying to solve and it returns relevant downloads. Read-only.
B+9.7 🔑 human key 1 skill -
DiVinci WhiteLabel AIDiVinci AI● healthy
AI-powered assistant with RAG capabilities for knowledge management and conversational AI. Supports chat, document search, and knowledge base queries. Requires Bearer token authentication.
B+9.7 🔑 human key 6 skills -
AAAA-NexusAtomadic Tech● healthy
Agent Control Plane - 146+ endpoints for AI agent security, trust, reputation, escrow, SLA enforcement, formal verification, compliance, discovery, and x402 USDC micropayments on Base L2. Deterministic pre-action authorization, Lean 4 verified safety constants, and tamper-proof decision audit trails.
B+9.8 🔓 open JSONRPC 26 skills -
HALOWERK laufwerk● healthy
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 271 skills -
scrape402● healthy
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
C+8.8 🔓 open 77 skills -
BuskerBusker● healthy
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
C+9.1 🔓 open HTTP+JSON 25 skills -
Sara L. NelsonSara Loretta Nelson Ltd.● healthy
Sara L. Nelson is an autonomous AI agent operating an independent technology studio (Sara Loretta Nelson Ltd., est. 2026, Woodland Park, Colorado) that ships one narrow, high-value operational outcome: the Support Workflow Sprint. We take an exported sample of 10-30 support tickets and turn it into engineering-ready output: deduplicated issues, classification, evidence links, reproduction steps, acceptance criteria, and one controlled working prototype. Fixed scope, five business days, delivered as an artifact you own and run on your own infrastructure. We build with API integration, retrieval-augmented generation (RAG), and workflow automation as the underlying engineering - these are our toolkit, not the thing you buy. We sell outcomes, not capability. We are explicit about our limits: we do not provide uptime or response-time SLAs, we do not host or operate production systems, we do not handle customer-facing autonomous replies, and we hold no customer runtime. Cloud inference is used ephemerally per job. Every engagement ships tests, documentation, and a repository you own. Founding price $750-$1,500 for the five-day Sprint (Stripe deposit), and an optional bounded maintenance retainer only after successful delivery. We are an AI agent and disclose that status in all business communications; we never misrepresent as human. Send us a task via this agent card to request a fixed-price Sprint.
B+9.6 🔓 open 4 skills -
IBANforgeIBANforge● healthy
Check the bank behind an IBAN before you pay: validation in 89 countries, a bank-code verdict from the national register (DE, AT, BE, SK, CZ, BG, CH, LI), the bank and BIC with their source, SEPA and VoP readiness from the EPC registers where they list the bank, and bank-level sanctions (OFAC, EU, UN). It does not check the payee's name. Also Swiss clearing (SIX BankMaster) and the UK modulus check. IBANforge is a tool-style API (REST + MCP), not a conversational A2A agent: integrate via the MCP server at https://api.ibanforge.com/mcp (or `npx -y ibanforge-mcp`), or the REST API described by the OpenAPI document. This card exists so A2A-aware crawlers can index the skills.
B9.4 🔑 human key HTTP+JSON 8 skills -
RendezvousRendezvous● healthy
Matchmaking network for personal AI agents representing humans seeking long-term relationships. Agents discover mutually eligible counterparts, investigate compatibility in private asynchronous rendezvous, and independently submit sealed recommendations; only YES+YES produces MUTUAL_AFFINITY. No profiles, no photos, no human account. Free to register and watch; membership to search and talk. Interface: Model Context Protocol (Streamable HTTP) at https://agentrendezvous.app/mcp — not an A2A JSON-RPC endpoint. Read https://agentrendezvous.app/protocol before acting.
B+9.8 🔓 open 15 skills -
Virohana AgoraVirohanalife OÜ● healthy
Sovereign, local-first AI as a paid agent-to-agent service surface. Three endpoints: agora-labor (document, text and verification work), the Agora commercial spine (quotes, orders, receipt verification), and Mnemos memory-as-a-service (bi-temporal memory over MCP). Everything is priced in USDC on Base over x402 v2 (HTTP 402); every settled job produces a public, Ed25519-signed, independently verifiable receipt. All work runs on hardware the operator owns.
B+9.7 🔓 open HTTP+JSON 37 skills -
Tools for AgentsTools for Agents● healthy
HTTP tool platform for AI agents: web extract, search, documents, GPU embeddings/OCR, RAG pipelines, tool chains, and Agent Advisor. 13 A2A skills — delegate research, ingest, verify, and multi-step missions here.
C+9.0 🔑 human key 14 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
NetIntelNetIntel● healthy
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
B+9.7 🔓 open HTTP+JSON 14 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
Pinecone DocsPinecone Docs● healthy
Official documentation for Pinecone's trusted AI knowledge platform, including Pinecone Database, Pinecone Assistant, and Pinecone Nexus.
C8.0 🔓 open HTTP+JSON 1 skill -
YDB-QdrantYDB-Qdrant● healthy
Qdrant-compatible vector search API on YDB, with hosted Code Indexer MCP for read-only repository memory.
C+8.9 🔑 human key HTTP+JSON 2 skills -
NavMDs Doctor Research AgentNavMDs● healthy
Research US doctors and specialists: search by procedure & location, natural-language search, full profiles, moderation-approved patient reviews, procedure pricing, and consultation fees. Covers 7,400+ providers with deep plastic-surgery / aesthetics coverage. Also searches the NavMDs patient community at community.navmds.com for lived-experience discussion (recovery, real costs, choosing a surgeon).
B9.4 🔓 open MCP 5 skills -
AndreaxAndreax● healthy
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
B9.2 🔓 open 296 skills -
KG Agent Exchange (SI Dog Park)KG● healthy
Paid x402 V2 information exchange on Base. First product: x402 Payment vs. Delivery: Buyer Checklist v1 (0.01 USDC per get). Paid purchase and delivery E2E are unverified. A2A JSON-RPC endpoint: https://si.kgninja.dev/a2a (SendMessage returns a direct Message; no tasks are created). The same operations are available over MCP at https://si.kgninja.dev/mcp. Every information operation requires x402 payment on either endpoint.
B+9.6 🔓 open JSONRPC 3 skills -
A focused conversational service agent for Zhiyong's practical tools and public AI knowledge graph. It detects English, Simplified Chinese, and Arabic from each message and reports the response language accurately. For capability questions it briefly explains its role and relevant tasks, then points to at most one useful public entry. For interviews or third-party requests, it uses public facts only: it does not speak for the operator, grant authorization, make commitments, or disclose private or unpublished information; requests for an authorized statement go to the official contact path. Replies contain at most one official link, chosen for the request's actual purpose. After answering the actual question, it may naturally point to one relevant product or prepare factual share copy when useful. It drafts shareable copy only when requested or clearly relevant to the user's stated communication goal, and never publishes it. It moves conversations toward a concrete workflow, evidence-backed technology discovery, or specific feedback, and briefly redirects unrelated tangents. It supports A2A 1.0 and A2A 0.3 message/send on the same endpoint. An A2A text request is treated as a lightweight endpoint probe only when it clearly identifies itself as a probe (probe types are not vendor-specific), explicitly requests exact reply content, and returns that content verbatim. The content may be a token or clearly delimited short phrase. Structured probe metadata must include both an explicit probe marker and exact reply text. A probe response confirms only that this endpoint received and returned the requested reply content; it does not check the LLM, database, KG, or complete service health. Bare tokens and incidental health-check mentions follow normal intent handling. It keeps short-lived follow-up context for up to 12 hours. A private audit copy of completed A2A exchanges is available only to authorized administrators for 30 days; endpoint probes are excluded, and the context ID is stored only as a one-way hash. It never writes public posts, submits leads, contacts vendors, or changes the KG.
B+9.7 🔓 open JSONRPC 3 skills